CVE-2020-25717

Name
CVE-2020-25717
Description
A flaw was found in the way Samba maps domain users to local users. An authenticated attacker could use this flaw to cause possible privilege escalation.
NVD Severity
high
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://bugzilla.redhat.com/show_bug.cgi?id=2019672
MISC https://www.samba.org/samba/security/CVE-2020-25717.html

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:samba:samba:*:*:*:*:*:*:*:* samba >= 3.0.0 < 4.13.14
cpe:2.3:a:samba:samba:*:*:*:*:*:*:*:* samba >= 4.14.0 < 4.14.10
cpe:2.3:a:samba:samba:*:*:*:*:*:*:*:* samba >= 4.15.0 < 4.15.2

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
samba 3.14-main 4.14.12-r0 Natanael Copa <ncopa@alpinelinux.org> fixed
samba 3.13-main 4.13.17-r0 Natanael Copa <ncopa@alpinelinux.org> fixed
samba 3.12-main 4.12.15-r0 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable